int suma(int x[],int y[], int n, int xx, int xm, int yx, int ym)
{
    int s1=0,s2=0,s3=0,s4=0;
    for(int i=0;i<n;i++){
        s1+=abs(x[i]-xx)*abs(y[i]-yx);
        s2+=abs(x[i]-xx)*abs(y[i]-ym);
        s3+=abs(x[i]-xm)*abs(y[i]-yx);
        s4+=abs(x[i]-xm)*abs(y[i]-ym);
    }
    return max(s1,max(s2,max(s3,s4)));
}

int main()
{
    int n;cin>>n;
    int x[n],y[n],rez[n]={};
    rez[0]=0;
    cin>>x[0]>>y[0];
    int xmin=x[0],xmax=x[0],ymin=y[0],ymax=y[0];
    for(int i=1;i<n;i++){
        cin>>x[i]>>y[i];
        if(x[i]>xmax)
            xmax=x[i];
        if(x[i]<xmin)
            xmin=x[i];
        if(y[i]>ymax)
            ymax=y[i];
        if(y[i]<ymin)
            ymin=y[i];
        rez[i]=suma(x,y,i,xmax,xmin,ymax,ymin);
    }
    for(int i=0;i<n;i++){
        cout<<rez[i]<<endl;
    }
}